| 0.9.9 API documentation

- Main Page
- Modules
- Files

- File List

Functions
quaternion_trigonometric.hpp File Reference

GLM_EXT_quaternion_trigonometric More...

Go to the source code of this file.

## Functions
template<typename T , qualifier Q>
GLM_FUNC_DECL T | angle (qua< T, Q > const &x)
| Returns the quaternion rotation angle. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | angleAxis (T const &angle, vec< 3, T, Q > const &axis)
| Build a quaternion from an angle and a normalized axis. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | axis (qua< T, Q > const &x)
| Returns the q rotation axis. More...

## Detailed Description

GLM_EXT_quaternion_trigonometric

Definition in file quaternion_trigonometric.hpp.